<!DOCTYPE html>
<html lang="en">
<head>
    {% with title="Dokumenten-Editor" %}
        {% include 'snippets/global-head-content.tpl' %}
    {% endwith %}

    <style> 

.contact-info-header{
  display: flex; 
  flex-wrap: wrap; 
  flex: 0 0 auto;
}

    /* temp over ride for mobile view, until list is implemented */
    .az-content-body-contacts {
        display: block;
        overflow: visible;
    }

.edit-input-jumbo {
  font-size: 18px;
  line-height: 32px;
  font-weight: 500;
}

.edit-input-input {
  width: 300px
}

.ui.selection.dropdown {
  min-width: 12em;
  border-radius: 0;
}

h6 {
  font-weight: 600 !important;
}

label {
  margin-right: 1em;
  font-weight: normal;
  font-size: 0.9rem;
}

.az-content-app {
    height:initial !important;
}
    </style>

</head>
<body>
{% include 'snippets/pb-loader.tpl' %}
<div id="contentwrapper" style="display:none;" class="az-body">
    {% with title="Dokumentation", logo_url="/style-global/img/icons/clipboard.png", logo_link="#", logo_alt="Dokumenten-Manager" %}
        {% include 'snippets/header.tpl' %}
    {% endwith %}

    <div class="az-content az-content-app az-content-contacts pd-b-0">
        <div class="container">

        <!-- List area for use later
        <div class="az-content-left az-content-left-contacts">
            <div class="contacts-list-header">
                <div class="row mb-3">
                    <div class="col-9 ml-3 ml-md-0">
                        <input id="search_input" type="search" class="form-control" placeholder="Suche nach irgendetwas..."><button
                            class="btn"><i class="fas fa-search"></i></button>
                    </div>
                    <div class="col-2 col-md-3 pl-0 d-flex justify-content-end">
                        <button id="createContactButton" class="btn btn-list"><i class="typcn typcn-plus-outline"></i></button>
                        <button class="btn btn-list disabled"><i class="typcn typcn-arrow-sync"></i></button>
                    </div>
                </div>
            </div>
            <div id="azContactList" class="az-contacts-list">
            </div>
        </div>    -->
        <!-- az-content-left-->

        <div id="azDocBody" class="az-content-body az-content-body-contacts">
            
            <!-- document view -->
            <div id="contactInfoHeader" class="az-contact-info-header">
                <div id="contactInfoHeaderContainer" class="contact-info-header">
                    <!-- document title field to go here later --> 
                        <div id="contactInfoHeaderDetail" class="mr-2 edit-input-jumbo">
                            <!-- <input placeholder="Enter a title for your document" id="" class="form-control input-borderless edit-input-jumbo edit-input-input "value=""> -->
                            Verknüpftes Dokument
                        </div>
                    </div>
                <div class="az-contact-action">
                    <!-- <a id="delete_document_button" href="#" ><i class="typcn typcn-trash"></i> Löschen</a> -->
                    <a id="save_document_button" class="nav-link" href="#" data-i18n="save"><i class="typcn typcn-tick-outline"></i> Speichern</a>
                </div><!-- az-contact-action -->
            </div><!-- az-contact-info-header -->    

            <div id="docInfoBody" class="az-contact-info-body">
                <div id="advancedOptions" class="accordion mt-4 mr-2">
                    <div class="card options">
                      <div class="card-header" id="headingOne">
                        <h5 class="mb-0">
                          <a class="collapsed" data-toggle="collapse" data-target="#collapseOne" aria-expanded="false" aria-controls="collapseOne" data-i18n='advanced options'> Dokumenteigenschaften </a>
                        </h5>
                      </div>
                      <div id="collapseOne" class="collapse" aria-labelledby="headingOne" data-parent="#advancedOptions">
                        <div class="card-body p-2">

                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <!-- source links -->
                                    <div class="px-3 bg-light mt-0">
                                        <h6 class="pt-3 pb-2 mb-2 border-bottom text-dark">
                                            <span class="fa fa-tag"></span>
                                        Merkmal   
                                        </h6>
                                        <div class="row align-items-center">
                                            <div class="col-3">
                                                <label class="form-control-label pt-2">Quelle :</label>
                                            </div>
                                            <div class="col-9">
                                                <span class="text-dark" id="source"></span>
                                            </span>
                                            </div>
                                        </div>
                                        <div class="row align-items-center">
                                            <div class="col-3">
                                                <label class="form-control-label pt-2">Kontakte :</label>
                                            </div>
                                            <div class="col-9">
                                                <select name="contacts" id="contacts" class="ui fluid search dropdown"
                                                multiple></select>
                                            </div>
                                        </div>
                                        <div class="row align-items-center">
                                            <div class="col-3">
                                                <label class="form-control-label pt-2">Dokumente :</label>
                                            </div>
                                            <div class="col-9" id="another_list_container">


                                            </div>
                                        </div>
                                    </div>
                                </div>     
                                <div class="col-12 col-md-6">
                                    <!-- extra details -->
                                    <div class="px-3 bg-light mt-0">
                                        <h6 class="pt-3 pb-2 mb-2 border-bottom text-dark">
                                            <span class="fa fa-chart-pie"></span>
                                            Erweiterte Details
                                        </h6>
                                        <div class="form-group" id="extended_props_wrapper">
                                            <div class="row align-items-center">
                                                <div class="col-3">
                                                    <label for="ep_date">Aufgewendete Zeit:</label>
                                                </div>
                                                <div class="col-9">
                                                    <input type="number" class="form-control" id="time" />
                                                </div>
                                            </div>
                                            <div class="row align-items-center">
                                                <div class="col-3">
                                                    <label for="ep_termintyp">Tätigkeit:</label>
                                                </div>
                                                <div class="col-9">
                                                    <select id="documentation_type" name="documentation_type" class="form-control">
                                                        <option value="beratung">Beratung</option>
                                                        <option value="telefonat">Telefonat</option>
                                                        <option value="allgemein">Allgemein</option>
                                                    </select>
                                                </div>
                                            </div>

                                        </div>
                                    </div>

                                    <!-- permissions -->
                                    <div class="px-3 bg-light mt-3">
                                        <h6 class="pt-3 pb-2 mb-2 border-bottom text-dark">
                                            <span class="fa fa-lock"></span>
                                            Berechtigungen
                                        </h6>
                                       <div class="row align-items-center">
                                            <div class="col-3">
                                                <label data-i18n="Visible for" id="permissions_label" for="visible_for">Sichtbar für :</label>
                                            </div>
                                            <div class="col-9"> <!-- <select name="visible_for" id="visible_for" class="ui fluid search dropdown" multiple></select> -->
                                                <select id="visible_for" name="visible_for" class="form-control">
                                                    <option value="[]">Alle</option>
                                                </select>
                                            </div>
                                       </div>

                                    </div>
                                </div>
                            </div> <!-- row -->
      
                        </div>
                      </div>
                    </div>
        
                  </div>
        
                <div id="contactInfoBodyContainer" class="media-list">
                    <div id="contactInfoBodyDetail" class="media">
                        <!-- editor input area -->
                        <!-- <span class="tx-medium ql-wrapper ql-wrapper-100" data-group="[{data-group-alternate-field}]">
                            <textarea id="content" rows="20"></textarea>
                        </span> -->

                        <div class="ql-wrapper ql-wrapper-100">
                            <div id="content">
                            </div>
                        </div>

                    </div><!-- media -->
                </div><!-- media-list -->
                <div id="document_list_container"></div>
            </div><!-- az-contact-info-body -->

        </div>

            <!-- <div id="azContactBody" class="az-content-body">
                <div id="contactInfoHeader" class="az-contact-info-header pd-t-0 pd-l-20 pd-r-20">
                    <div class="media flex-row">
                        <div class="media-body  d-flex flex-row  justify-content-between">
                            <div>
                                <h4 data-i18n="documentation">Dokumentation</h4>
                            </div>
                            <nav class="nav">
                                <a id="save_document_button" class="nav-link" href="#" data-i18n="save"><i class="typcn typcn-tick-outline"></i> Speichern</a>
                            </nav>
                        </div>
                    </div>
                </div>

                <div id="contactInfoBody" class="az-contact-info-body">

                    <div id="contactInfoBodyContainer" class="media-list">
                        <div class="media">
                            <div class="media-body">
                                <div class="contact-detail">
                                    <label data-i18n="task_type">Tätigkeit</label>
                                    <span class="tx-medium" data-group="[{data-group-alternate-field}]">
                                        <select id="documentation_type" name="documentation_type">
                                            <option value="beratung">Beratung</option>
                                            <option value="telefonat">Telefonat</option>
                                            <option value="allgemein">Allgemein</option>
                                        </select>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="media">
                            <div class="media-body">
                                <div class="contact-detail">
                                    <label data-i18n="description">Beschreibung</label>
                                    <span class="tx-medium" data-group="[{data-group-alternate-field}]">
                                        <textarea id="content"></textarea>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="media">
                            <div class="media-body">
                                <div class="contact-detail">
                                    <label data-i18n="visible-for">Sichtbar für</label>
                                    <span class="tx-medium" data-group="[{data-group-alternate-field}]">
                                        <select id="visible_for" name="visible_for">
                                            <option value="me">Mich</option>
                                            <option value="[]">Alle</option>
                                        </select>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="media">
                            <div class="media-body">
                                <div class="contact-detail">
                                    <label data-i18n="time spent">Aufgewendete Zeit</label>
                                    <span class="tx-medium" data-group="[{data-group-alternate-field}]">
                                        <input type="number" id="time" />
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" id="document_id" value="" />
                </div>
            </div> -->
            <input type="hidden" id="document_id" value="" />

    </div> <!-- az-content -->


    <div class="az-footer ht-40 d-none d-lg-block">
        <div class="container ht-100p pd-t-0-f">
            <span>&copy; <script>document.write(new Date().getFullYear())</script> serviceBLICK by planBLICK GmbH</span>
        </div><!-- container -->
    </div><!-- az-footer -->

</div>

{% include 'snippets/global-script-include.tpl' %}
<script src="/style-global/lib/moment/moment.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/quill/quill.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/perfect-scrollbar/perfect-scrollbar.min.js"></script>
<script src="/style-global/lib/semantic-ui-css/semantic.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/select2/js/select2.min.js?v=[cs_version]"></script>



{% with circuit="document-manager-editor-circuit" %}
    {% include 'snippets/framework-script.tpl' %}
{% endwith %}

<script>



    $('#contacts').dropdown({placeholder: 'Kein ausgewält'})


</script>

</body>
</html>